<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [goToLocation](./bitburner.singularity.gotolocation.md)

## Singularity.goToLocation() method

Go to a location.

**Signature:**

```typescript
goToLocation(locationName: LocationName): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

locationName


</td><td>

[LocationName](./bitburner.locationname.md)


</td><td>

Name of the location.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the player was moved there, false otherwise.

## Remarks

RAM cost: 5 GB \* 16/4/1

Move the player to a specific location.

